package com.framsticks.util.dispatching;

/**
 * @author Piotr Sniegowski
 */
public abstract class Task<C> extends RunAt<C> {

	protected final long moment;

	public Task() {
		moment = System.currentTimeMillis();
	}

	public Task(long moment) {
		this.moment = moment;
	}

	public final long getMoment() {
		return moment;
	}

}
